.pkgenv <- new.env(parent=emptyenv())

#' Test
#'
#' @export
data_test <- function() {

  print(nrow(forcats::gss_cat)) # it's exported

  data("children", package = "FactoMineR") # it's not exported; can do it here
  data("mortality", package = "FactoMineR", envir = .pkgenv) # this limits to pkg env

  print(nrow(children))
  print(nrow(decathlon))

  print(nrow(.pkgenv$mortality))
  print(nrow(.pkgenv$poison))

}

.onAttach<- function(libname, pkgname) {

  data("decathlon", package = "FactoMineR") # or here but both theses methods expose data to calling env
  data("poison", package = "FactoMineR", envir = .pkgenv) # this limits to pkg env

}